config/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path("", include("core.urls", namespace="core")),
    path("rooms/", include("rooms.urls", namespace="rooms")),
    path("users/", include("users.urls", namespace="users")),
    path("admin/", admin.site.urls),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

core/urls.py
from django.urls import path
from rooms import views as room_views

app_name = "core"


urlpatterns = [path("", room_views.HomeView.as_view(), name="home")]

rooms/urls.py
from django.urls import path
from . import views


app_name = "rooms"
urlpatterns = [
    path("<int:pk>", views.RoomDetail.as_view(), name="detail"),
    path("search", views.SearchView.as_view(), name="search"),
]

templates/base.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>{% block page_name %} {% endblock page_name %}| Airbnb</title>
  </head>
  <body>
    <header>
      {% include "partials/nav.html" %}
      {% block search-bar %}
        <form method="get" action="{% url 'rooms:search' %}">
          <input name='city' placeholder='Поиск по городу' />
        </form>
      {% endblock search-bar %}
    </header>

    {% block content %}{% endblock content %}

    {% include "partials/footer.html" %}
  </body>
</html>